error = 1;										// gives an error if the value isn't changed to error = 0

if (strcmp (command,"") == 0)								// no command entered
{
	error = 0;
}

if (strcmp (command,"ver") == 0)							// tells us Ti-Dos version
{
	printf ("%s\n","Ti-Dos by Zaz ver 0.1.80");
	error = 0;
}

if (strcmp (command,"cls") == 0)							// cls command = clears screen and resets pen pos
{
	clrscr();
	error = 0;
}

if (strcmp (command,"exit") == 0)							// quits Ti-Dos
{
	exit(0);
	error = 0;
}

if (strcmp (command,"off") == 0)							// turns off the calc
{
	off();
	error = 0;
}

if (strcmp (command,"dir") == 0)							// list of folder and var in directory
{
	#include "dirfunc.c"								// function itself
	strcpy (command,"");
	error = 0;
}

if (strstr (command,"cd ") != NULL ||							// gets you in the selected folder
    strstr (command,"cd") != NULL ||
    strstr (command,"cd.") != NULL || strstr (command,"cd\\") != NULL)
{
	int error2 = TRUE;
	error = 0;
	if (strcmp (command,"cd") == 0)
		error2 = FALSE;
	else
	{
		if (command[2]  == ' ' || command[2] == '.' || command[2] == '\\')
		{	
			if (strlen(command) >3 && strstr (command,"cd ") == NULL)
				namestr = strstr (command,"\\") + 1;
			else
			{
				FolderGetCur (Cnamestr);
				if (strcmp (Cnamestr,"root") == 0)
					namestr = strstr (command," ") + 1;
				else
					namestr = "";
			}
			if (strcmp (command,"cd..") == 0 ||
			    strcmp (command ,"cd ..") == 0 ||
			    strcmp (command, "cd\\") == 0 ||
			    strcmp (command, "cd.") == 0)
			{	
				error2 = FolderCur ($(root),FALSE);			// puts root as main folder
				if (strcmp (command, "cd.") == 0)
				{
					FolderCur (strcpy (TIOSname + 1, Cnamestr) + strlen (Cnamestr),FALSE);
					error2 = TRUE;
				}
			}
			else
				error2 = FolderCur (strcpy (TIOSname + 1, namestr) + strlen (namestr),FALSE);
		}
		else
			error = 1;
	}
	if (error2 == FALSE)
		printf ("%s\n","invalid repertory");
}

if (strstr (command,"md") != NULL)							// command to make folders
{
	error = 0;
	if (strcmp (command,"md") == 0)
		printf ("%s\n","invalid repertory");
	else
	{
		if (command[2]  == ' ')
		{	
			namestr = strstr (command," ") + 1;
			if (FolderFind (strcpy (TIOSname + 1, namestr) + strlen (namestr)) == NOT_FOUND)	// checks that folder doesn't exists
			{
				FolderAdd (strcpy (TIOSname + 1, namestr) + strlen (namestr));			// creates the folder
				printf ("%s %s %s\n", "repertory",namestr,"created");
			}
			else
					printf ("%s\n", "repertory already exists");
		}
		else
			error = 1;
	}
}

if (strstr (command,"rd ") != NULL ||							// deletes empty directory
    strstr (command,"rd") != NULL)
{
	error = 0;
	if (strcmp (command,"rd") == 0)
		printf ("%s\n","invalid repertory");
	else
	{
		if (command[2]  == ' ')
		{	
			namestr = strstr (command," ") + 1;
			if (FolderFind (strcpy (TIOSname + 1, namestr) + strlen (namestr)) == FOLDER_TABLE)	// checks if folder exists
			{
				TRY
					cmd_delfold (strcpy (TIOSname + 1, namestr) + strlen (namestr));	// then if it exists, deletes the folder
				ONERR
				ENDTRY 
				printf ("%s %s %s\n", "repertory",namestr,"deleted");
			}
			else
				printf ("%s\n","invalid repertory");	
		}
		else
				error = 1;
	}
	strcpy (command,"");
}

if (strstr (command,"deltree ") != NULL ||						// deletes folder content and folder
    strstr (command,"deltree") != NULL)
{
	error = 0;
	if (strcmp (command,"deltree") == 0)
		printf ("%s\n","invalid repertory");
	else
	{
		if (command[7]  == ' ')
		{	
			namestr = strstr (command," ") + 1;
			if (FolderFind (strcpy (TIOSname + 1, namestr) + strlen (namestr)) == FOLDER_TABLE)	// checks if folder exists
			{
				FolderDel (strcpy (TIOSname + 1, namestr) + strlen (namestr));			// first deletes the folder content
				TRY
					cmd_delfold (strcpy (TIOSname + 1, namestr) + strlen (namestr));	// then deletes the folder
				ONERR
				ENDTRY 
				printf ("%s %s %s\n", "repertory",namestr,"deleted");
			}
			else
				printf ("%s\n","invalid repertory");
		}
		else
			error = 1;
	}
	strcpy (command,"");
}

if (strstr (command,"del ") != NULL ||							// deletes a file
    strstr (command,"del") != NULL)
{
	error = 0;
	if (strcmp (command,"del") == 0)
		printf ("%s\n","invalid repertory");
	else
	{
		if (command[3]  == ' ')
		{	
			namestr = strstr (command," ") + 1;
			error = SymDel (strcpy (TIOSname + 1, namestr) + strlen (namestr));		// delete function
			if (error == FALSE)
				printf ("%s\n","invalid file name");
			else
				printf ("%s %s %s\n", "file",namestr,"deleted");
		}
		else
			error = 1;
	}
}

//if (strstr (command,"copy ") != NULL)							// copies a file
//{
//	namestr = strstr (command," ") + 1;
//	srcname = strtok (namestr, " ");
//	dstname = strtok (NULL, " ");

//	TRY
//		cmd_copyvar (strcpy (TIOSname + 1, srcname) + strlen (srcname), strcpy (TIOSname + 1, dstname) + strlen (dstname));
//		printf ("%s %s %s \n", "file", srcname, "copied");
//	ONERR
//		printf ("%s %s\n", "could not copy file", srcname);
//	ENDTRY	
//	error = 0;
//}



if (strcmp (command,"help") == 0)							// help command
{
	printf ("%s\n", "   List of Ti-Dos functions:");
	printf ("%s\n", "   cls");
	printf ("%s\n", "   dir");
	printf ("%s\n", "   off");
	printf ("%s\n", "   exit");
	printf ("%s\n", "   ver");
	printf ("%s\n", "   md [repertory]");
	printf ("%s\n", "   cd [repertory]");
	printf ("%s\n", "   rd [empty repertory]");
	printf ("%s\n", "   deltree [repertory]");
	printf ("%s\n", "   del [file]");
	printf ("%s\n", "   [program name]");
	printf ("%s\n", "End of list of Ti-Dos functions:");
	error = 0;
}

if (error == 1)										// if a wrong unknown command was entered then
{
	namestr = command;
	if (SymFind (strcpy (TIOSname + 1, namestr) + strlen (namestr)).folder != 0)	// command could be prog so checks if prog called exists
	{
		progexec (namestr);							// runs the prog called
		FontSetSys(F_4x6);							// resets the font size to small
		printf ("%s %s\n", namestr, "executed successfully");
	}
	else
		printf ("%s\n","incorrect command");
}